Skip to content

Add address to a customer

POST
/api/v4/partner/customer/add-address

Add an additional EVM wallet address to an existing customer.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"customerId": "customer_a1b2c3d4",
"addressEVM": "0x1234....abcd"
}

Responses

OK

application/json
JSON
{
"status": "ok"
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/api/v4/partner/customer/add-address \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customerId": "cust_a1b2c3d4",
    "addressEVM": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B"
  }'
javascript
const response = await fetch('https://api.brrr.network/api/v4/partner/customer/add-address', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    customerId: 'cust_a1b2c3d4',
    addressEVM: '0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B',
  }),
});

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Failed to add address: ${error.errorCode}`);
}

const data = await response.json();
console.log('Address added:', data);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/api/v4/partner/customer/add-address',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
        'customerId': 'cust_a1b2c3d4',
        'addressEVM': '0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B',
    },
)
response.raise_for_status()
data = response.json()
print('Address added:', data)